Search Over 30,000 FREE Plugins from the Official WordPress Plugin Directory Repository

PB MailCrypt - AntiSpam Email Encryption

This Plugin provides a Shortcode to encrypt email addresses / links and protect them against spam.

This Plugin provides you an easy to use Shortcode to encrypt email links and protect them against spam bots.

MailCrypt Shortcode:

[mailcrypt email="name@example.com" href="Alternative Contact Page URL" title="A-Tag title Attribute"]

  • email = required
  • href = optional
  • title = optional

Change the link text with an enclosing shortcode: [mailcrypt email="name@example.com" href="Alternative URL"]link text[/mailcrypt]

You can also use a shorter variant of [mailcrypt] -> [mail]

It's also possible to use PB MailCrypt in an automatic mode, you can enable this feature under "settings > general".

New: Now supports Advanced Custom Fields.

If you have any questions or problems, you can ask me: Pascal Bajorat - Webdesigner / WordPress / WebDeveloper

Author Pascal Bajorat
Profile
Contributors pascalbajorat
Tags admin, antispam, email, email encryption, encryption, links, page, Post, posts, protection, security, shortcode, spam
  1. Upload the full directory to wp-content/plugins
  2. Activate plugin Tags Page in plugins administration
  3. Now, you can use the shortcode [mailcrypt email="name@example.com"]
  4. Enable the automatic mode under "settings > general"

1.0

  • Initial release.

1.0.1

  • Only a few changes in descriptions and links

1.0.2

  • WordPress 4.0 Update

2.0.0

  • Added a Settings-Panel
  • Plugin will now automatically encrypt mail addresses (if enabled)
  • General improvements

2.1.0

  • Shortcode-Update: Supports now enclosing and self-closing shortcodes
  • Changed Text Domain

2.1.1

  • Bug fix

2.2.0

  • Bug fix
  • Exclude list: Now you can exclude page or post IDs from the auto-mode

2.3.0

  • The automatic mode now supports Advanced Custom Fields textarea and wysiwyg editor

2.3.1

  • Bugfix for ACF integration

License

GNU General Public License v.3 - http://www.gnu.org/licenses/gpl-3.0.html

Share  
Download
Version 2.3.1

Requires WordPress version: 3.0 or higher

Compatible up to: 4.7.2

Last Updated 23 Dec 2016

Date Added: 08 Feb 2013

Plugin Homepage

Evaluation
star1
star2
star3
star4
star5

5 stars
3 ratings
4,238 downloads

Compatibility

Not Enough Data

Reports:
Works: 0
Broken: 0